RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2076554 - [ansible-freeipa] [RFE] smartcard role for ansible-freeipa
Summary: [ansible-freeipa] [RFE] smartcard role for ansible-freeipa
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ansible-freeipa
Version: 8.7
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: Varun Mylaraiah
Filip Hanzelka
URL:
Whiteboard:
Depends On:
Blocks: 2076567
TreeView+ depends on / blocked
 
Reported: 2022-04-19 10:53 UTC by Thomas Woerner
Modified: 2023-02-21 05:31 UTC (History)
3 users (show)

Fixed In Version: ansible-freeipa-1.8.0-1.el8
Doc Type: Enhancement
Doc Text:
.New `ipasmartcard_server` and `ipasmartcard_client` roles With this update, the `ansible-freeipa` package provides Ansible roles to configure Identity Management (IdM) servers and clients for smart card authentication. The `ipasmartcard_server` and `ipasmartcard_client` roles replace the `ipa-advise` scripts to automate and simplify the integration. The same inventory and naming scheme are used as in the other `ansible-freeipa` roles.
Clone Of:
: 2076567 (view as bug list)
Environment:
Last Closed: 2022-11-08 09:39:04 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FREEIPA-8173 0 None None None 2022-04-19 11:00:42 UTC
Red Hat Issue Tracker RHELPLAN-119196 0 None None None 2022-04-19 11:00:58 UTC
Red Hat Product Errata RHEA-2022:7556 0 None None None 2022-11-08 09:39:18 UTC

Description Thomas Woerner 2022-04-19 10:53:23 UTC
Description of problem:
Currently there are generated scripts to configure IPA server and clients for Smard Card authentication. But there are no roles for ansible-freeipa to do this.

The goals of this RFE is

* Convert current shell scripts to ansible content that is more OS version tolerant: Create two roles, one for server and one for client
* Users are in AD with certs stored in IdM (ID views and mapping)

Comment 2 Thomas Woerner 2022-06-24 11:52:43 UTC
This is the upstream PR for the smartcard roles for server and client: https://github.com/freeipa/ansible-freeipa/pull/838

Comment 9 Varun Mylaraiah 2022-07-18 11:20:46 UTC
Verified

ansible-freeipa-1.8.1-1.el8.noarch


PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestSmartCardPreTests::test_smartcard_setup_smartcard_server_role_on_non_deployed_ipa_server
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestSmartCardPreTests::test_smartcard_setup_smartcard_server_role_on_non_deployed_ipa_replica
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestSmartCardPreTests::test_smartcard_setup_smartcard_client_role_on_non_deployed_ipa_client
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestSmartCardPreTests::test_smartcard_prerequisite
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_with_correct_adminpwd_and_cacert
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_with_wrong_adminpwd
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_with_invalid_cacrt
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_with_emulated_smartcard_on_master
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_with_correct_adminpwd_and_cacert_on_replica
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_with_emulated_smartcard_on_replica
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_with_correct_adminpwd_and_cacert_on_server_and_replica
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_client_role_with_correct_adminpwd_and_cacert
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_with_emulated_smartcard_on_client
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_and_client_role
PASSED ansible_freeipa_tests/smartcard/test_smartcard.py::TestsSmartCard::test_smartcard_setup_smartcard_server_role_on_server_replica_and_client_role
================ 16 passed, 2854 warnings in 1541.29s (0:25:41) ================

Based on the test result, marking the bug Verified

Comment 15 errata-xmlrpc 2022-11-08 09:39:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (ansible-freeipa bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2022:7556


Note You need to log in before you can comment on or make changes to this bug.